com.sun.grid.jgdi.event

## Class JobUsageEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.JobEvent
    - - com.sun.grid.jgdi.event.JobUsageEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    JobFinalUsageEvent

      public class JobUsageEvent
      extends JobEvent
      implements java.io.Serializable

  Java Wrapper class for the JOB_USAGE event.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobUsageEvent(long timestamp, int evtId)` Creates a new instance of JobFinishEvent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUsage(java.lang.String name, double value)`
    `java.lang.Double` | `getLoadValue(java.lang.String name)`
    `java.util.Set<java.lang.String>` | `getLoadValueNames()`
    `java.util.Map<java.lang.String,java.lang.Double>` | `getUsage()`

    - ### Methods inherited from class com.sun.grid.jgdi.event.JobEvent

      `getJobId, getPeTaskId, getTaskId, setJobId, setPeTaskId, setTaskId, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobUsageEvent

          public JobUsageEvent(long timestamp,
                               int evtId)

      Creates a new instance of JobFinishEvent

  - ### Method Detail

    - #### addUsage

          public void addUsage(java.lang.String name,
                               double value)

    - #### getLoadValueNames

          public java.util.Set<java.lang.String> getLoadValueNames()

    - #### getLoadValue

          public java.lang.Double getLoadValue(java.lang.String name)

    - #### getUsage

          public java.util.Map<java.lang.String,java.lang.Double> getUsage()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.